using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using Consulenza.ReportWriter.Business;
using Consulenza.ReportWriter.Business.OBJ_PDF;
using ceTe.DynamicPDF;
using Consulenza.ReportCommon;

namespace Consulenza.ReportWriter.Manager.Section.Unica
{
    /// <summary>
    ///  Scheda 75. Avvertenze. IdSezione 118 NON TESTATA: TESTO DEFINITIVO PER DIAGNOSI MONITORAGGIO E PROPOSTA
    /// </summary>
    public class S75 : Entity.Section
    {
        public S75(EnvironmentFacade environmentFacade, int idSection)
            : base(environmentFacade, idSection)
        {
            try
            {
                Draw();
            }
            catch (Exception ex)
            {
                SectionLogger.Write("S75", ex.Message, SectionLoggerMessageLevel.E, EnvironmentFacade.ReportEnvironment);
            }
        }

        protected override void Draw()
        {           
           
        }
        public virtual string showBanca(string value)
        {
            if (EnvironmentFacade.ReportEnvironment.PrivateBanker.CodiceRete == "F")
                value = value.Replace("$/Banca/$", "Fideuram");
            //è l'unica scheda in cui venga richiesta la dicitura SIM ....
            if (EnvironmentFacade.ReportEnvironment.PrivateBanker.CodiceRete == "S")
                value = value.Replace("$/Banca/$", "Sanpaolo Invest SIM");

            return value;
        }
        protected override System.Data.DataSet GetDataSet()
        {
            throw new NotImplementedException();
        }

        protected override System.Data.DataTable GetDataTable()
        {
            throw new NotImplementedException();
        }
    }
}
